/**
 *
 *  Betterville Lady Stormshadow
 *  @author Drakkos
 *  @started 29/03/2009
 *
 */
 
#include "path.h"

// We've created a simple NPC inherit, and this is the one we use 
// instead of /obj/monster
inherit INHERITS + "betterville_npc";

void setup() {
  // Normal setup information - nothing unusual here.
  set_name ("stormshadow");
  set_short ("Lady Tempesre Stormshadow");
  add_property ("determinate", "");
  set_long ("This is Lady Tempesre Stormshadow, an older but still "
    "attractive woman with a noble bearing.  Her eyes are bright and "
    "calculating, sizing up the value of all that her gaze falls "
    "upon.\n");

  add_adjective (({"lady", "tempesre"}));
  add_alias (({"lady", "tempesre"}));
  
  set_gender (2);
  basic_setup ("human", "wizard", 150 + random (50));
  setup_nationality ("/std/nationality/genua", "Genua");

  // Setup the load chats.
  load_chat(120,
  ({
    1, "' Come buy one of my beautiful dresses!",
    1, "' Show the Beast you care with a wonderful outfit!",
    1, "' The Beast wouldn't give his heart to a poorly dressed bumpkin!",
    1, "' Follow your star, straight to my shop!",
    1, "' Beauty is only skin-deep, but you can sort out 'ugly' with a "
      "dress!",
  }));

  // Set up the attack chats.
  load_a_chat(120,
  ({
    1, "' You don't know how much you're going to regret this!",
    1, "' Can your mother sew?  She'll need to be able to.",
    1, "' Help!  Help!",
    1, "' You're no handsome prince, what do you think you're doing?",
  }));

  add_respond_to_with( ({ "@say", 
       ({"where"}), ({"you", "tempesre", "stormshadow"}), ({"from"}), }), 
      "' I am Lady Tempesre Stormshadow, hailing from the diamond "
       "city of Genua!");  

  add_respond_to_with( ({ "@say", 
       ({"about"}), ({"genua"}), }), 
      ":emote shuffles her feet.");  

  add_respond_to_with( ({ "@say", 
       ({"genua"}), }), 
      "' Yes, I come from Genua, which is far away from here!  In... uh... "
        "another country!");  

  add_respond_to_with( ({ "@say", 
       ({"beast"}), }), 
      "' I knew the beast once.  Once... upon a dream.  Before the curse.");  

  add_respond_to_with( ({ "@say", 
       ({"curse"}), }), 
      "' He was a good man, before Lilith.  Before... I spurned him.");  
    
  add_respond_to_with( ({ "@say", 
       ({"lilith"}), }), 
      "' Lilith!  She of her vicious cruelty!  She cursed him to the form "
        "of a beast as part of her horrible fascination with stories.");  

  add_respond_to_with( ({ "@say", 
       ({"story", "stories", "cruelty"}), }), 
      "' Stories are powerful.  I will say no more... but if you should "
        "ever make your way to a library, you could find out what happens "
        "when stories run amok.  Read about Genua.");  

  add_respond_to_with( ({ "@say", 
       ({"spurned", "spurn", "love", "loved"}), }), 
      "' I... loved him once.  I still do, in my way.  But I cannot bring "
        "myself to look upon him now.  That is my weakness, my curse.");  
    
}

int second_life() {
  // Get the list of attackers for this object.
  object *enemies = this_object()->query_attacker_list();
  
  do_command ("' The Beast... shall hear of this...");
  
  foreach (object enemy in enemies) {
    // Add each of them to be punished.
    DISEMBOWEL_HANDLER->add_to_punish (enemy);
  }
}